kneeangle = 0
leftknee = 0
rightknee = 0
torse = 0
handlebar = 0
frontwheel = 0
backwheel = 0
epsilon = 0.01
righthand = 0
lefthand = 0
rightfoot = 0
leftfoot = 0
nAnimId = 0
--bigbox = 0

function JointSetStop(joint,lo,hi)

	if (hi <= lo)
	then
		hi = lo + epsilon
	end
		
	tf.JointSetParam(joint,dParamLoStop,lo)
	tf.JointSetParam(joint,dParamHiStop,hi)
	tf.JointSetParam(joint,dParamBounce,0)

end

function JointSetStop2(joint,lo,hi)

	if (hi <= lo)
	then
		hi = lo + epsilon
	end
		
	tf.JointSetParam(joint,dParamLoStop2,lo)
	tf.JointSetParam(joint,dParamHiStop2,hi)
	tf.JointSetParam(joint,dParamBounce2,0)

end

function CameraFollowSetParameters(dt)
	tf.CameraSetFollowParameters(
		300., --m_vFollowMinDist
		0.05, --m_vFollowCVel
		0.4, --m_vFollowCz
		1.5, --m_vFollowCs
		0.9, --m_vFollowCdRel
		0.9, --m_vFollowCdAbs
		0.2, --m_vFollowMass
		10000, --m_vFollowMaxVel
		0,	--m_vFollowCCrashDist
		2.8, --m_vFollowACs
		1.1, --m_vFollowACd
		0.1, --m_vFollowAMass
		0.5 --m_vFollowCTargetVel
		)
end

function CameraCrashSetParameters(dt)
	tf.CameraSetFollowParameters(
		300, --m_vFollowMinDist
		0.05, --m_vFollowCVel
		0.4, --m_vFollowCz
		1.5, --m_vFollowCs
		0.9, --m_vFollowCdRel
		0.9, --m_vFollowCdAbs
		0.2, --m_vFollowMass
		10000, --m_vFollowMaxVel
		1.2,    --m_vFollowCCrashDist
		2.8, --m_vFollowACs
		1.1, --m_vFollowACd
		0.1, --m_vFollowAMass
		0 --m_vFollowCTargetVel
		)
end

function ObjectCB(nObjectId)

	tf.ObjectSetLength(OBJECT_TYPE_GLOBAL,nObjectId,2,2,2)

end

function ObjectSetDensity(nObjectId)

	tf.ObjectSetDensity(OBJECT_TYPE_GLOBAL,nObjectId,0.001) --0.001

end

function InitBikePartA()		

		CameraFollowSetParameters(0);
		tf.MsgSetOutput("theforce.log")

		mesh0 = tf.MeshCreate("models/motoi.x")	--"models/motocfix1.x"
		tf.MeshSetTransform(mesh0,0,0,0, 0)

		--for i=1,20 do
		--tf.MeshLoadAnimation(mesh0,9,"anims/trailgrabnoref.X")
		--end
		tf.MeshLoadAnimation(mesh0,0,"anims/straight.X")
--[[
		tf.MeshLoadAnimation(mesh0,1,"anims/left.X")
		tf.MeshLoadAnimation(mesh0,2,"anims/right.X")
		tf.MeshLoadAnimation(mesh0,3,"anims/barhop.X")
		tf.MeshLoadAnimation(mesh0,4,"anims/doublecancan.X")
		tf.MeshLoadAnimation(mesh0,5,"anims/heartattack.X")
		tf.MeshLoadAnimation(mesh0,6,"anims/lazyboy.X")
		tf.MeshLoadAnimation(mesh0,7,"anims/saranwrap.X")
		tf.MeshLoadAnimation(mesh0,8,"anims/seatgrab.X")
		tf.MeshLoadAnimation(mesh0,9,"anims/trailgrab.X")
]]	
		if bPhysicOnBike == 1
		then
			--bigbox = tf.ObjectPreCreate(SHAPE_TYPE_BOX,-1,-1)
			--tf.ObjectSetLength(-1,bigbox,500,500,500)
			--tf.ObjectSetPosition(-1,bigbox,0,0,3000)

			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"CorpsMoteur_00")
			tf.ObjectSetLength(mesh0,"CorpsMoteur_00",12,75,45) --,18,75,45) 
			tf.ObjectSetPosition(mesh0,"CorpsMoteur_00",0,-5,-10)

			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Rear",CREATION_TYPE_AUTO_NOFILLGAPS)
			tf.ObjectSetLength(mesh0,"Rear",12,50,1)
			tf.ObjectSetPosition(mesh0,"Rear",0,10,-6)
			
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"cale_piedG_00")
			--tf.ObjectSetPosition(mesh0,"cale_piedG_00",0,-20,-30)
			--tf.ObjectSetLength(mesh0,"cale_piedG_00",10,50,50)
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"cale_piedD_00")
			--tf.ObjectSetPosition(mesh0,"cale_piedD_00",0,-20,-30)
			--tf.ObjectSetLength(mesh0,"cale_piedD_00",10,50,50)
			
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"FourcheAr")
			tf.FrameRotate(mesh0,"FourcheAr",-0.075,0,0)	-- -0.14
			
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"FourcheAr_00")
			tf.ObjectPreCreate(SHAPE_TYPE_CONEX,mesh0,"RoueAr_00",CREATION_TYPE_AUTO_MAX)
			tf.ObjectSetMassWheel(mesh0,"RoueAr_00",43,33,4) --,43,34,4)
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"GuidonFourche_00")
			tf.ObjectSetLength(mesh0,"GuidonFourche_00",12,8,12)
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Poign_eD_00",CREATION_TYPE_AUTO_NOFILLGAPS)
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Poign_eG_00",CREATION_TYPE_AUTO_NOFILLGAPS)

			tf.FrameTranslate(mesh0,"AmortisseursAv",0,0,-6)	-- -14

			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"AmortisseursAv_00")
			tf.ObjectSetLength(mesh0,"AmortisseursAv_00",4,4,4)
			tf.ObjectPreCreate(SHAPE_TYPE_CONEX,mesh0,"RoueAv_00",CREATION_TYPE_AUTO_MAX)
			tf.ObjectSetMassWheel(mesh0,"RoueAv_00",43,33,4) --43,34,4)

			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"protect_00",CREATION_TYPE_AUTO_NOFILLGAPS)
		end
		
		if bPhysicOnHero == 1
		then
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Abdomen")
			tf.ObjectSetLength(mesh0,"Abdomen",20,10,30)
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Torse")
			tf.ObjectSetLength(mesh0,"Torse",20,10,30)
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Cou")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Tete")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"DummyTete")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"EpauleD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"BrasD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"AvBrasD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"MainD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"EpauleG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"BrasG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"AvBrasG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"MainG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"Bassin")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"CuisseG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"TibiaG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"TalonG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"PiedG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"DummyPiedG")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"CuisseD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"TibiaD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"TalonD")
			tf.ObjectPreCreate(SHAPE_TYPE_BOX,mesh0,"PiedD")
		end

		tf.MeshForAllObjects(mesh0,"ObjectSetDensity")
		--tf.ObjectSetDensity(mesh0,"cale_piedD_00",0.0003)
		--tf.ObjectSetDensity(mesh0,"cale_piedG_00",0.0003)
		--tf.ObjectSetDensity(mesh0,"CorpsMoteur_00",0.001) --0.00075)

		bodydensity = 0.0006
		tf.ObjectSetDensity(mesh0,"Abdomen",bodydensity)
		tf.ObjectSetDensity(mesh0,"Cou",bodydensity)
		tf.ObjectSetDensity(mesh0,"Tete",bodydensity)
		tf.ObjectSetDensity(mesh0,"DummyTete",bodydensity)
		tf.ObjectSetDensity(mesh0,"EpauleD",bodydensity)
		tf.ObjectSetDensity(mesh0,"BrasD",bodydensity)
		tf.ObjectSetDensity(mesh0,"AvBrasD",bodydensity)
		tf.ObjectSetDensity(mesh0,"MainD",bodydensity)
		tf.ObjectSetDensity(mesh0,"EpauleG",bodydensity)
		tf.ObjectSetDensity(mesh0,"BrasG",bodydensity)
		tf.ObjectSetDensity(mesh0,"AvBrasG",bodydensity)
		tf.ObjectSetDensity(mesh0,"MainG",bodydensity)
		tf.ObjectSetDensity(mesh0,"Bassin",bodydensity)
		tf.ObjectSetDensity(mesh0,"CuisseG",bodydensity)
		tf.ObjectSetDensity(mesh0,"TibiaG",bodydensity)
		tf.ObjectSetDensity(mesh0,"TalonG",bodydensity)
		tf.ObjectSetDensity(mesh0,"PiedG",bodydensity)
		tf.ObjectSetDensity(mesh0,"DummyPiedG",bodydensity)
		tf.ObjectSetDensity(mesh0,"CuisseD",bodydensity)
		tf.ObjectSetDensity(mesh0,"TibiaD",bodydensity)
		tf.ObjectSetDensity(mesh0,"TalonD",bodydensity)
		tf.ObjectSetDensity(mesh0,"PiedD",bodydensity)
end

function InitBikePartB()

	if bPhysicOnBike == 1
	then
		tf.ObjectsMerge(mesh0,"CorpsMoteur_00",
		"cale_piedD_00","cale_piedG_00","FourcheAr_00","Rear")
		tf.ObjectsMerge(mesh0,"GuidonFourche_00",
		"Poign_eD_00","Poign_eG_00","AmortisseursAv_00","protect_00")

		tf.CameraSetTarget(mesh0,"CorpsMoteur_00",0)
		--tf.ObjectEnableCollision(mesh0,"CorpsMoteur_00",0)
		tf.ObjectEnableCollision(mesh0,"AmortisseursAv_00",0)
		tf.ObjectEnableCollision(mesh0,"cale_piedG_00",0)
		tf.ObjectEnableCollision(mesh0,"cale_piedD_00",0)
		tf.ObjectEnableCollision(mesh0,"GuidonFourche_00",0)
	end

	if bPhysicOnHero == 1
	then
		tf.ObjectsMerge(mesh0,"TalonD","TibiaD","PiedD")
		tf.ObjectsMerge(mesh0,"TalonG","TibiaG","PiedG")
		tf.ObjectsMerge(mesh0,"MainD","AvBrasD")
		tf.ObjectsMerge(mesh0,"MainG","AvBrasG")
		tf.ObjectsMerge(mesh0,"Tete","Cou","Torse","Abdomen","Bassin",
		"EpauleD","EpauleG")

		tf.CameraSetTarget(mesh0,"Torse",1)
	end	

	if bPhysicOnBike == 1
	then
		handlebar = tf.JointCreate(1,dJointTypeHinge,mesh0,mesh0,"GuidonFourche_00","CorpsMoteur_00")
		tf.JointSetAxis(handlebar,AXIS_1,mesh0,"CorpsMoteur_00",0,0.3,1) --mesh0,"GuidonFourche"
		tf.JointSetParam(handlebar,dParamBounce,0.0);
		tf.JointSetParam(handlebar,dParamStopERP,0.9999);
		tf.JointSetAnchor(handlebar,mesh0,"RoueAv_00",0,0,0)
		
		frontwheel = tf.JointCreate(1,dJointTypeHinge2,mesh0,mesh0,"CorpsMoteur_00","RoueAv_00")
		tf.JointSetAxis(frontwheel,AXIS_1,mesh0,"CorpsMoteur_00",0,0.3,1)	--0,0.4,1 
		tf.JointSetAxis(frontwheel,AXIS_2,mesh0,"RoueAv_00",1,0,0)
		tf.JointSetParam(frontwheel,dParamSuspensionERP,0.1) --0.075
		tf.JointSetParam(frontwheel,dParamSuspensionCFM,0.0011)
		tf.JointSetParam(frontwheel,dParamBounce,0.0);
		tf.JointSetParam(frontwheel,dParamStopERP,0.9999)

		backwheel = tf.JointCreate(1,dJointTypeHinge2,mesh0,mesh0,"CorpsMoteur_00","RoueAr_00")
		tf.JointSetAxis(backwheel,AXIS_1,OBJECT_TYPE_GLOBAL,OBJECT_TYPE_GLOBAL,0,0,1)
		tf.JointSetAxis(backwheel,AXIS_2,mesh0,"RoueAr_00",1,0,0)
		tf.JointSetParam(backwheel,dParamSuspensionERP,0.1) --0.075
		tf.JointSetParam(backwheel,dParamSuspensionCFM,0.0011)
		JointSetStop(backwheel,0,0)
		tf.JointSetParam(backwheel,dParamStopERP,0.9999)
	end

	if bPhysicOnHero == 1
	then
		rightelbow = tf.JointCreate(0,dJointTypeUniversal,mesh0,mesh0,"BrasD","EpauleD")
		tf.JointSetAxis(rightelbow,AXIS_1,mesh0,"BrasD",0,1,0);
		tf.JointSetAxis(rightelbow,AXIS_2,mesh0,"BrasD",0,0,1);
		JointSetStop(rightelbow,-0.1,0.1)--JointSetStop(j,-0.9,0.9)
		JointSetStop2(rightelbow,-0.4,0.4)--JointSetStop2(j,-0.9,0.9)
	
		j = tf.JointCreate(0,dJointTypeUniversal,mesh0,mesh0,"AvBrasD","BrasD")
		tf.JointSetAxis(j,AXIS_1,mesh0,"AvBrasD",0,1,0);
		JointSetStop(j,-0.9,0.9)
		JointSetStop2(j,-0.9,0.9)
				
		leftelbow = tf.JointCreate(0,dJointTypeUniversal,mesh0,mesh0,"BrasG","EpauleG")
		tf.JointSetAxis(leftelbow,AXIS_1,mesh0,"BrasG",0,1,0);
		tf.JointSetAxis(leftelbow,AXIS_2,mesh0,"BrasG",0,0,1);
		JointSetStop(leftelbow,-0.1,0.1)--JointSetStop(j,-0.9,0.9)
		JointSetStop2(leftelbow,-0.4,0.4)--JointSetStop2(j,-0.9,0.9)
	
		j = tf.JointCreate(0,dJointTypeUniversal,mesh0,mesh0,"AvBrasG","BrasG")
		tf.JointSetAxis(j,AXIS_1,mesh0,"AvBrasG",0,1,0);
		JointSetStop(j,-0.9,0.9)
		JointSetStop2(j,-0.9,0.9)
				
		leftleg = tf.JointCreate(0,dJointTypeUniversal,mesh0,mesh0,"CuisseG","Bassin")
		tf.JointSetAxis(leftleg,AXIS_1,-1,-1,1,0,0);
		tf.JointSetAxis(leftleg,AXIS_2,-1,-1,0,0,1);
		JointSetStop(leftleg,-0.9,0.9)
		JointSetStop2(leftleg,-0.9,0.9)
				
		leftknee = tf.JointCreate(0,dJointTypeHinge,mesh0,mesh0,"TibiaG","CuisseG")
		tf.JointSetAxis(leftknee,AXIS_1,mesh0,"TibiaG",0,0,1);
		JointSetStop(leftknee,-0.7,0.7)
	
		rightleg = tf.JointCreate(0,dJointTypeUniversal,mesh0,mesh0,"CuisseD","Bassin")
		tf.JointSetAxis(rightleg,AXIS_1,-1,-1,1,0,0);
		tf.JointSetAxis(rightleg,AXIS_2,-1,-1,0,0,1);
		JointSetStop(rightleg,-0.9,0.9)
		JointSetStop2(rightleg,-0.9,0.9)
				
		rightknee = tf.JointCreate(0,dJointTypeHinge,mesh0,mesh0,"TibiaD","CuisseD")
		tf.JointSetAxis(rightknee,AXIS_1,mesh0,"TibiaD",0,0,1);
		JointSetStop(rightknee,-0.7,0.7)
	end

	if (bPhysicControl)
	then

		righthand = tf.JointCreate(2,dJointTypeBall,mesh0,mesh0,"MainD","Poign_eD_00")
		lefthand = tf.JointCreate(2,dJointTypeBall,mesh0,mesh0,"MainG","Poign_eG_00")
		--rightfoot = tf.JointCreate(2,dJointTypeBall,mesh0,mesh0,"cale_piedD_00","PiedD")
		--leftfoot = tf.JointCreate(2,dJointTypeBall,mesh0,mesh0,"cale_piedG_00","PiedG")
		rightfoot = tf.JointCreate(2,dJointTypeHinge,mesh0,mesh0,"cale_piedD_00","PiedD")
		leftfoot = tf.JointCreate(2,dJointTypeHinge,mesh0,mesh0,"cale_piedG_00","PiedG")
		tf.JointSetAxis(rightfoot,AXIS_1,OBJECT_TYPE_GLOBAL,OBJECT_TYPE_GLOBAL,1,0,0)
		tf.JointSetAxis(leftfoot,AXIS_1,OBJECT_TYPE_GLOBAL,OBJECT_TYPE_GLOBAL,1,0,0)

		--trunk = tf.JointCreate(2,dJointTypeSlider,mesh0,mesh0,"Bassin","CorpsMoteur_00")
		--tf.JointSetAxis(trunk,AXIS_1,OBJECT_TYPE_GLOBAL,OBJECT_TYPE_GLOBAL,0,1,0);
		--JointSetStop(trunk,0,0)

		trunk = tf.JointCreate(2,dJointTypeAMotor,mesh0,mesh0,"Bassin","CorpsMoteur_00")
		tf.JointSetAxis(trunk,AXIS_1,OBJECT_TYPE_GLOBAL,OBJECT_TYPE_GLOBAL,1,0,0);
		tf.JointSetAxis(trunk,AXIS_3,OBJECT_TYPE_GLOBAL,OBJECT_TYPE_GLOBAL,0,1,0);
		tf.JointSetParam(trunk,dParamLoStop,0)
		tf.JointSetParam(trunk,dParamHiStop,epsilon)
		tf.JointSetParam(trunk,dParamBounce,0)
		tf.JointSetParam(trunk,dParamLoStop2,0)
		tf.JointSetParam(trunk,dParamHiStop2,epsilon)
		tf.JointSetParam(trunk,dParamBounce2,0)
		tf.JointSetParam(trunk,dParamLoStop3,0)
		tf.JointSetParam(trunk,dParamHiStop3,epsilon)
		tf.JointSetParam(trunk,dParamBounce3,0)
		tf.JointSetParam(trunk,dParamStopERP,0.97)
		tf.JointSetParam(trunk,dParamStopERP2,0.97)
		tf.JointSetParam(trunk,dParamStopERP3,0.97)
--[[
		tf.JointSetParam(trunk,dParamStopCFM,0.01)
		tf.JointSetParam(trunk,dParamStopCFM2,0.01)
		tf.JointSetParam(trunk,dParamStopCFM3,0.01)
]]
		trunk2 = tf.JointCreate(2,dJointTypeLMotor,mesh0,mesh0,"Bassin","CorpsMoteur_00")
		tf.JointSetParam(trunk2,dParamLoStop,0)
		tf.JointSetParam(trunk2,dParamHiStop,0+epsilon)
		tf.JointSetParam(trunk2,dParamBounce,0)
		tf.JointSetParam(trunk2,dParamLoStop2,0)
		tf.JointSetParam(trunk2,dParamHiStop2,0+epsilon)
		tf.JointSetParam(trunk2,dParamBounce2,0)
		tf.JointSetParam(trunk2,dParamLoStop3,0)
		tf.JointSetParam(trunk2,dParamHiStop3,0+epsilon)
		tf.JointSetParam(trunk2,dParamBounce3,0)
		tf.JointSetParam(trunk2,dParamStopERP,0.2)
		tf.JointSetParam(trunk2,dParamStopERP2,0.02)
		tf.JointSetParam(trunk2,dParamStopERP3,0.03)
		tf.JointSetParam(trunk2,dParamStopCFM,0.002)
		tf.JointSetParam(trunk2,dParamStopCFM2,0.002)
		tf.JointSetParam(trunk2,dParamStopCFM3,0.002)

		trunk3 = tf.JointCreate(2,dJointTypeLMotor,mesh0,mesh0,"Bassin","CorpsMoteur_00")
		tf.JointSetParam(trunk3,dParamLoStop3,-5)
		tf.JointSetParam(trunk3,dParamBounce3,0)
		tf.JointSetParam(trunk3,dParamStopERP3,0.99)
		tf.JointSetParam(trunk3,dParamStopCFM3,0.0005)

		--fixed = tf.JointCreate(2,dJointTypeFixed,mesh0,mesh0,"MainD","CorpsMoteur_00")
	end

	tf.PhysicSetProperties(-981,0.001,0.000001,0.9)
	-- tf.BikeSetInitialVelocity(mesh0,500 + 10 * tf.Rand());
	
	tf.MeshDumpHierarchy(mesh0)

	tf.BikeSetReferenceObjectAndJoints(mesh0,"CorpsMoteur_00",frontwheel,handlebar,backwheel)
	tf.BikeSetAnimatedCharacterJoint(trunk2,-32,30,-20)

	tf.BikeSetParametersControlModelA(		0.8,		--m_vControlCa 
											-450,		--m_vControlCs 
											130,		--m_vControlCn 
											100,		--m_vMinVel
											0.40		--m_vStopMax
											)

	tf.BikeSetParametersControlModelB(		4e-2,		--vAMotorERP[0]
											7e-2,		--vAMotorERP[1]
											7e-2,		--vAMotorERP[2]
											1.0,		--vControlCa[0]
											0.8,		--vControlCa[1]
											-0.007,		--vControlCa[2]
											3800,		--vMaxVelocity
											-200000,	--vForce
											-50,		--vHeightDragMin
											50,			--vHeightDragDelta
											-22			--vForceRelPos
											)
	tf.BikeSetRespawnParameters(500,100)

	tf.BikeSetContactNoControlObjects(mesh0,"Tete","MainD","MainG");	--,"TalonD","TalonG"
	tf.BikeSetControlNoCollisionObjects(mesh0,"TalonG","PiedG","TalonD","PiedD")
	tf.BikeSetControlJoints(righthand,lefthand,rightfoot,leftfoot,trunk,trunk2,trunk3)
	tf.BikeInit()
end

function UpdateBike(dt)

	if tf.ButtonIsJustPressed(KEY_Q) > 0
	then
		nAnimId = nAnimId+1;
		if (nAnimId > 9)
		then
			nAnimId = 0
		end
	end

	--tf.MeshPlayAnimation(mesh0,nAnimId)

	bHeroOnBike = tf.BikeUpdate(dt)

	if (bHeroOnBike > 0)
	then
		CameraFollowSetParameters(dt);
		
		JointSetStop2(leftleg,-0.05,0.05)
		JointSetStop2(rightleg,-0.05,0.05)
		JointSetStop(rightelbow,-0.1,0.1)
		JointSetStop2(rightelbow,-0.3,0.3)
		JointSetStop(leftelbow,-0.1,0.1)
		JointSetStop2(leftelbow,-0.3,0.3)
		--[[
		JointSetStop(leftleg,0,0)
		JointSetStop(rightleg,0,0)
		JointSetStop2(leftleg,0,0)
		JointSetStop2(rightleg,0,0)
		JointSetStop(leftknee,0,0)
		JointSetStop(rightknee,0,0)
		JointSetStop(rightelbow,0,0)
		JointSetStop(leftelbow,0,0)
		JointSetStop2(rightelbow,0,0)
		JointSetStop2(leftelbow,0,0)
		]]
	else

		CameraCrashSetParameters(dt);
		
		JointSetStop2(leftleg,-0.7,0.7)
		JointSetStop2(rightleg,-0.7,0.7)
		JointSetStop(rightelbow,-0.8,0.8)
		JointSetStop2(rightelbow,-0.8,0.8)
		JointSetStop(leftelbow,-0.8,0.8)
		JointSetStop2(leftelbow,-0.8,0.8)

	end
	
end

function RenderBike()

	tf.BikeRender()

end