SHAPE_TYPE_NONE = 0
SHAPE_TYPE_BOX = 1
SHAPE_TYPE_CYLINDERX = 2 
SHAPE_TYPE_CYLINDERY = 3
SHAPE_TYPE_CYLINDERZ = 4
SHAPE_TYPE_CONEX = 5
SHAPE_TYPE_CONEY = 6
SHAPE_TYPE_CONEZ = 7
SHAPE_TYPE_SPHERE = 8
SHAPE_TYPE_TRIMESH = 9

CREATION_TYPE_AUTO_AVERAGE = 0
CREATION_TYPE_AUTO_MAX = 1
CREATION_TYPE_AUTO_NOFILLGAPS = 16

dJointTypeNone = 0
dJointTypeBall = 1
dJointTypeHinge = 2
dJointTypeSlider = 3
dJointTypeContact = 4
dJointTypeUniversal = 5
dJointTypeHinge2 = 6
dJointTypeFixed = 7
dJointTypeNull = 8
dJointTypeAMotor = 9
dJointTypeLMotor = 10

AXIS_1	= 1
AXIS_2	= 2
AXIS_3	= 3

-- COORSYS_TYPE_GLOBAL = 0
-- COORSYS_TYPE_LOCAL = 1
-- COORSYS_TYPE_PARENTLOCAL = 2

KEY_UP		= 200 --tf.Hex("C8")
KEY_DOWN	= 208 --tf.Hex("D0")
KEY_LEFT	= 203 --tf.Hex("CB")
KEY_RIGHT	= 205 --tf.Hex("CD")
KEY_ESC		= 1 --tf.Hex("01")
KEY_RETURN	= 28 --tf.Hex("1C")
KEY_W		= 17 --tf.Hex("11")
KEY_S		= 31 --tf.Hex("1f")
KEY_P		= 25 --tf.Hex("19")
KEY_C		= 46
KEY_Q		= 16

OBJECT_TYPE_GLOBAL = -1
PI = 3.14159

dParamLoStop = 0
dParamHiStop = 1
dParamVel = 2
dParamFMax = 3
dParamFudgeFactor = 4
dParamBounce = 5
dParamCFM = 6
dParamStopERP = 7
dParamStopCFM = 8
dParamSuspensionERP = 9
dParamSuspensionCFM = 10

dParamLoStop2 = 256
dParamHiStop2 = 257
dParamVel2 = 258
dParamFMax2 = 259
dParamFudgeFactor2 = 260
dParamBounce2 = 261
dParamCFM2 = 262
dParamStopERP2 = 263
dParamStopCFM2 = 264
dParamSuspensionERP2 = 265
dParamSuspensionCFM2 = 266

dParamLoStop3 = 512
dParamHiStop3 = 513
dParamVel3 = 514
dParamFMax3 = 515
dParamFudgeFactor3 = 516
dParamBounce3 = 517
dParamCFM3 = 518
dParamStopERP3 = 519
dParamStopCFM3 = 520
dParamSuspensionERP3 = 521
dParamSuspensionCFM3 = 522

CAMERAMODE_TYPE_MANUAL = 0
CAMERAMODE_TYPE_AUTO_TOWER = 1
CAMERAMODE_TYPE_AUTO_FOLLOW = 2

D3DBLEND_ZERO              = 1
D3DBLEND_ONE               = 2
D3DBLEND_SRCCOLOR          = 3
D3DBLEND_INVSRCCOLOR       = 4
D3DBLEND_SRCALPHA          = 5
D3DBLEND_INVSRCALPHA       = 6
D3DBLEND_DESTALPHA         = 7
D3DBLEND_INVDESTALPHA      = 8
D3DBLEND_DESTCOLOR         = 9
D3DBLEND_INVDESTCOLOR      = 10
D3DBLEND_SRCALPHASAT       = 11
D3DBLEND_BOTHSRCALPHA      = 12
D3DBLEND_BOTHINVSRCALPHA   = 13

FALSE = 0
TRUE = 1
ASK = 2

PC_DPAD_PADUP			= 260
PC_DPAD_PADRIGHT		= 261
PC_DPAD_PADDOWN			= 262
PC_DPAD_PADLEFT			= 263
PC_DPAD_PADBUTTON1		= 264
PC_DPAD_PADBUTTON2		= 265
PC_DPAD_PADBUTTON3		= 266
PC_DPAD_PADBUTTON4		= 267
PC_DPAD_PADBUTTON5		= 268
PC_DPAD_PADBUTTON6		= 269
PC_DPAD_PADBUTTON7		= 270
PC_DPAD_PADBUTTON8		= 271
PC_DPAD_PADBUTTON9		= 272
PC_DPAD_PADBUTTON10		= 273
PC_DPAD_PADBUTTON11		= 274
PC_DPAD_PADBUTTON12		= 275

PC_APAD_ANALOG1X		= 4
PC_APAD_ANALOG1Y		= 5
PC_APAD_ANALOG2X		= 6
PC_APAD_ANALOG2Y		= 7

PC_APAD_DIGITAL1X		= 8
PC_APAD_DIGITAL1Y		= 9
PC_APAD_DIGITAL2X		= 10
PC_APAD_DIGITAL2Y		= 11

DPAD_UP				= PC_DPAD_PADUP				
DPAD_RIGHT 			= PC_DPAD_PADRIGHT
DPAD_DOWN			= PC_DPAD_PADDOWN
DPAD_LEFT			= PC_DPAD_PADLEFT
DPAD_SELECT			= PC_DPAD_PADBUTTON9
DPAD_START 			= PC_DPAD_PADBUTTON12
DPAD_ACTION1		= PC_DPAD_PADBUTTON1	-- Triangle
DPAD_ACTION2		= PC_DPAD_PADBUTTON2	-- Circle
DPAD_ACTION3		= PC_DPAD_PADBUTTON3	-- Cross
DPAD_ACTION4		= PC_DPAD_PADBUTTON4	-- Square
DPAD_L1				= PC_DPAD_PADBUTTON7
DPAD_R1				= PC_DPAD_PADBUTTON8
DPAD_L2				= PC_DPAD_PADBUTTON5
DPAD_R2				= PC_DPAD_PADBUTTON6
DPAD_L3				= PC_DPAD_PADBUTTON10
DPAD_R3				= PC_DPAD_PADBUTTON11

APAD_RIGHT_X		= PC_APAD_ANALOG2X
APAD_RIGHT_Y		= PC_APAD_ANALOG2Y
APAD_LEFT_X 		= PC_APAD_ANALOG1X
APAD_LEFT_Y 		= PC_APAD_ANALOG1Y
